<?php
//---------------------------------------------------------------------------------------------------
// Proyecto: Icasus (http://wiki.us.es/icasus/)
// Archivo: entidad_editar.php
// Tipo: controlador
// Desarrolladores: Juanan Ruiz (juanan@us.es), Jesús Martín (jjmc@us.es)
//---------------------------------------------------------------------------------------------------
// Descripcion: Edición de entidades existentes
//---------------------------------------------------------------------------------------------------

require_once('function/sanitize.php');
global $smarty;
global $basedatos;
global $plantilla;

$smarty->assign('_javascript' , array('entidad_validar','ordenatabla'));

$id_entidad = sanitize($_REQUEST['id_entidad'],16);
$entidad = new entidad($basedatos);
$smarty->assign('entidad',$entidad->obtener_datos($id_entidad));
$smarty->assign('usuarios' , $entidad->listar_usuarios($id_entidad));
$smarty->assign('_nombre_pagina' , $entidad->datos['nombre']);

// Si vienen todos los datos necesarios del formulario grabamos
if (isset($_POST['nombre']))
{
	$plantilla = "entidad_datos.tpl";
	$nombre = $_POST['nombre'];
	$web = $_POST['web']?sanitize($_POST['web'],2):'';
	if ($entidad->modificar($id_entidad,$nombre,$web))
	{
		$smarty->assign('entidad',$entidad->obtener_datos($id_entidad));
		$smarty->assign('aviso' , 'La entidad se ha modificado con los datos que aparecen a continuación');
	}
	else
	{
		$smarty->assign('error', 'No se ha podido modificar la entidad');
	}
}
// Si no vienen datos mostramos el formulario
else
{
	$plantilla = "entidad_editar.tpl";
}
?>

