<?php
//---------------------------------------------------------------------------------------------------
// Proyecto: Icasus (http://wiki.us.es/icasus/)
// Archivo: clase_ica.php
// Tipo: definicion de clase
// Desarrolladores: Juanan Ruiz (juanan@us.es)
//---------------------------------------------------------------------------------------------------
// Descripcion: aqui meto todas la funciones que no se donde poner
//---------------------------------------------------------------------------------------------------

class ica {
   //Propiedades de la clase
   var $database;
   
   //Metodos de la clase
   function ica ($database) {
      $this->database = $database;
      }

   function listar_entidades($criterio = "")
   {
      //Realiza una lista de entidades
      $lista_entidades = array();
      $consulta = "SELECT * FROM entidad $criterio ORDER BY nombre";
      $this->database->ejecutar_consulta($consulta);
      while ($this->database->obtener_fila()) {
	    $lista_entidades[] = $this->database->fila;
            }   
      return $lista_entidades;
   }
   
   function listar_usuarios($criterio) {
      // Devuelve una lista de usuarios en funcion del criterio de busqueda
      $lista_usuarios = array();
      $consulta = "SELECT usuario.id_usuario as id_usuario, usuario.nombre as nombre, usuario.apellidos as apellidos, usuario.login as login, ";
      $consulta .= "usuario.correo as correo";
      $consulta .= " FROM usuario ";
      $consulta .= $criterio;
      $consulta .= " ORDER BY login";
      $this->database->ejecutar_consulta($consulta);
      $indice=0;
      while ($this->database->obtener_fila()) {
	    $lista_usuarios[$indice] = $this->database->fila;
	    $indice++;
	    }   
      return $lista_usuarios;
      }
}
?>
