<?php
//---------------------------------------------------------------------------------------------------
// Proyecto: Icasus (http://forja.rediris.es/project/icasus/)
// Archivo: entidad.php
// Tipo: controlador
// Desarrolladores: Juanan Ruiz (juanan@us.es) y Jesús Martín (jjmc@us.es)
//---------------------------------------------------------------------------------------------------
// Descripcion: Controla todas las acciones relacionadas con las entidades
//---------------------------------------------------------------------------------------------------
global $smarty;
global $basedatos;
global $operario;
global $nombre_pagina;
global $plantilla;

$smarty->assign('_javascripts', array('ordenatabla'));
$smarty->assign('_nombre_pagina', 'Lista de entidades');

// Entidades de este usuario
$entidades_operario = $operario->obtener_entidades($operario->id_usuario);
//Todas las entidades
if (isset($_REQUEST['criterio']))
{
	$criterio = $_REQUEST['criterio'];
	$where = " WHERE nombre LIKE '%$criterio%' ";
	$smarty->assign('criterio', $criterio);
}
else
{
	$where = " WHERE 1 = 1 ";
}
$ica = new ica($basedatos);
$lista_entidades = $ica->listar_entidades($where);
$smarty->assign('entidades_operario',$entidades_operario);
$smarty->assign('lista_entidades',$lista_entidades);
$plantilla = 'entidad_listar.tpl';
?>
