<?php
//---------------------------------------------------------------------------------------------------
// Proyecto: Icasus (http://wiki.us.es/icasus/)
// Archivo: indicador_datos.php
// Tipo: controlador
// Desarrolladores: Juanan Ruiz (juanan@us.es)
//---------------------------------------------------------------------------------------------------
// Descripcion: Muestra todos los parametros de un indicador y un listado de los valores introducidos
//---------------------------------------------------------------------------------------------------

include_once('function/sanitize.php');
global $smarty;
global $basedatos;
global $plantilla;

$smarty->assign('_javascript' , array('ordenatabla'));


if (isset($_GET['id_indicador']))
{
	$id_indicador = sanitize($_GET['id_indicador'],16); 
	$indicador = new indicador($basedatos);
	$smarty->assign('indicador', $indicador->obtener_datos($id_indicador));
	$smarty->assign('valores' , $indicador->listar_valores($id_indicador));
	$entidad = new entidad($basedatos);
	$smarty->assign('entidad',$entidad->obtener_datos($indicador->datos['id_entidad']));
	$smarty->assign('_nombre_pagina' , $entidad->datos['nombre']); 
	$plantilla = 'indicador_datos.tpl';
}
else
{
	$error = "No se puede mostrar el indicador por falta de parámetros.";
	$smarty->assign('error',$error);
	$smarty->assign('_nombre_pagina' , 'Error'); 
	$plantilla = "error.tpl";
}
?>
