<?php
include_once ('function/sanitize.php');
global $basedatos;
global $smarty;
global $plantilla;
$smarty->assign('_javascript' , array('compruebalogin','ordenatabla'));
$smarty->assign('_nombre_pagina' , 'Bienvenido a Icasus');

// Comprueba que viene del formulario
if (isset($_POST['acceso']))
{
	// Comprueba que vengan los datos
	if (isset($_POST["login"]) && isset($_POST["clave"]))
	{
		$login = sanitize($_POST["login"],2);
		$clave = sanitize($_POST["clave"],2);
		$operario = new usuario($basedatos);
		if ($id_operario = $operario->comprobar_login($login, $clave)) 
		{
			// Si ha ido bien vamos a la primera pantalla
			$operario->obtener_datos($id_operario);
			$smarty->assign('_operario',$operario->datos);
			$_SESSION["id_usuario"] = $operario->datos['id_usuario'];
			//Imprime todas las entidades
			$entidades_operario = $operario->obtener_entidades($operario->id_usuario);
			$entidad = new entidad($basedatos);
			$lista_entidades = $entidad->listar();
			$smarty->assign('entidades_operario',$entidades_operario);
			$smarty->assign('lista_entidades',$lista_entidades);
			$plantilla = 'entidad_listar.tpl';
		}
		else 
		{
			$aviso="Usuario o clave incorrectos.";
			$smarty->assign('aviso',$aviso);
			$plantilla = 'login.tpl';
		}
	}
	else 
	{
		// Si falta algun parametro volvemos al formulario y avisamos
		$aviso = "Indique su nombre de usuario y clave.";
		$smarty->assign('aviso',$aviso);
		$plantilla = 'login.tpl';
	}
}
else
{	
	// Si no venía del formulario lo mostramos sin más
	session_unset();
	$smarty->assign('_operario',false);	
	$plantilla = 'login.tpl';
}
?>
